Jump to content
linuxserver.io

[Support] Linuxserver.io - Plex Media Server

4334 posts in this topic Last Reply

Recommended Posts

5 minutes ago, slipknottin said:

I did try running that earlier, it is only excluding my appdata, so it should have fixed permissions with my media folders, I would assume?

Yes

Share this post


Link to post
2 minutes ago, saarg said:

Yes

That didnt fix it, so i went and looked in the scanning logs and I see a "sqlite3_statement_backend::loadOne: database disk image is malformed" error.  So what is the easiest way to correct this?  I am okay with it rebuilding the entire database, just not sure how or where to remove the current broken one

Share this post


Link to post
2 minutes ago, slipknottin said:

That didnt fix it, so i went and looked in the scanning logs and I see a "sqlite3_statement_backend::loadOne: database disk image is malformed" error.  So what is the easiest way to correct this?  I am okay with it rebuilding the entire database, just not sure how or where to remove the current broken one

Upgrade to 6.8  You will have to rebuild the database though if you don't have a backup of it.

Share this post


Link to post
11 minutes ago, Squid said:

Upgrade to 6.8  You will have to rebuild the database though if you don't have a backup of it.

Okay, just upgraded to 6.8, how do I rebuild the database? 

Share this post


Link to post
1 minute ago, slipknottin said:

Okay, just upgraded to 6.8, how do I rebuild the database? 

IDK, I don't use plex, so short of deleting its existing appdata folder and starting completely from scratch I'm not sure.  I do however know that 6.7 has issues with SQLite  corruption which is why you need to be on 6.8+

Share this post


Link to post
1 hour ago, slipknottin said:

Okay, just upgraded to 6.8, how do I rebuild the database? 

Google repair Plex database. It also backs up the database automatically by default every three days so you can restore one as well.

Share this post


Link to post

Greetings team!

 

After upgrading my UnRaid to 6.8 today, I ran docker updates.  When upgrading LinuxServer.io - Plex I got an error about a ZIP file.  Unfortunately I didn't save the error.  After this error I had an orphaned docker container with only the option to remove, which I did.

 

I just looked and I do still have the appdata folder for the Plex container.  How do I redeploy and utilize this prior config?

Share this post


Link to post
Just now, ScottinOkla said:

How do I redeploy and utilize this prior config?

Use the Previous Apps feature on the Apps page.

Share this post


Link to post
2 minutes ago, trurl said:

Use the Previous Apps feature on the Apps page.

Well I feel stupid, that was easy.

 

Unfortunately it didn't work.  This brought me back to the (orphan image).

Share this post


Link to post
25 minutes ago, ScottinOkla said:

Well I feel stupid, that was easy.

 

Unfortunately it didn't work.  This brought me back to the (orphan image).

I tried running through the previous apps feature again, and Plex was listed.  Upon clicking it I get 

root@localhost:# /usr/local/emhttp/plugins/dynamix.docker.manager/scripts/docker run -d --name='plex' --net='host' --privileged=true -e TZ="America/Chicago" -e HOST_OS="Unraid" -e 'VERSION'='docker' -e 'NVIDIA_VISIBLE_DEVICES'='' -e 'NVIDIA_DRIVER_CAPABILITIES '='all' -e 'NVIDIA_VISIBLE_DEVICES'='GPU-d176d9bc-3e97-1c7c-080c-50c7569935e5' -e 'TCP_PORT_32400'='32400' -e 'TCP_PORT_3005'='3005' -e 'TCP_PORT_8324'='8324' -e 'TCP_PORT_32469'='32469' -e 'UDP_PORT_1900'='1900' -e 'UDP_PORT_32410'='32410' -e 'UDP_PORT_32412'='32412' -e 'UDP_PORT_32413'='32413' -e 'UDP_PORT_32414'='32414' -e 'PUID'='99' -e 'PGID'='100' -v '/mnt/disks/gdrive/Media/movies/':'/mnt/disks/gdrive/Media/movies':'rw' -v '/mnt/disks/gdrive/Media/tv/':'/tv':'rw' -v '/mnt/disks/gdrive/Media/music/':'/music':'rw' -v '':'/transcode':'rw' -v '':'/movies':'rw' -v '/mnt/user/appdata/plex':'/config':'rw' --runtime=nvidia 'linuxserver/plex' 

/usr/bin/docker: Error response from daemon: Unknown runtime specified nvidia.
See '/usr/bin/docker run --help'.

The command failed.

I see that NVIDIA_VISIBLE_DEVICES is listed twice, with one of them being blank 

Share this post


Link to post
9 minutes ago, ScottinOkla said:

I tried running through the previous apps feature again, and Plex was listed.  Upon clicking it I get 


root@localhost:# /usr/local/emhttp/plugins/dynamix.docker.manager/scripts/docker run -d --name='plex' --net='host' --privileged=true -e TZ="America/Chicago" -e HOST_OS="Unraid" -e 'VERSION'='docker' -e 'NVIDIA_VISIBLE_DEVICES'='' -e 'NVIDIA_DRIVER_CAPABILITIES '='all' -e 'NVIDIA_VISIBLE_DEVICES'='GPU-d176d9bc-3e97-1c7c-080c-50c7569935e5' -e 'TCP_PORT_32400'='32400' -e 'TCP_PORT_3005'='3005' -e 'TCP_PORT_8324'='8324' -e 'TCP_PORT_32469'='32469' -e 'UDP_PORT_1900'='1900' -e 'UDP_PORT_32410'='32410' -e 'UDP_PORT_32412'='32412' -e 'UDP_PORT_32413'='32413' -e 'UDP_PORT_32414'='32414' -e 'PUID'='99' -e 'PGID'='100' -v '/mnt/disks/gdrive/Media/movies/':'/mnt/disks/gdrive/Media/movies':'rw' -v '/mnt/disks/gdrive/Media/tv/':'/tv':'rw' -v '/mnt/disks/gdrive/Media/music/':'/music':'rw' -v '':'/transcode':'rw' -v '':'/movies':'rw' -v '/mnt/user/appdata/plex':'/config':'rw' --runtime=nvidia 'linuxserver/plex' 

/usr/bin/docker: Error response from daemon: Unknown runtime specified nvidia.
See '/usr/bin/docker run --help'.

The command failed.

I see that NVIDIA_VISIBLE_DEVICES is listed twice, with one of them being blank 

Unraid stock does not have nvidia runtime or the nvidia drivers for hardware transcode. You need to install the custom nvidia version through the nvidia plugin

Share this post


Link to post
46 minutes ago, aptalca said:

Unraid stock does not have nvidia runtime or the nvidia drivers for hardware transcode. You need to install the custom nvidia version through the nvidia plugin

I am back up and running after running through Settings/Nvidia Unraid and chosing the most recent version.

 

What I learned from this is that if you are using Nvidia inside of UnRaid, that you can't just update as soon as UnRaid tells you that an update is available.  You have to wait until Nvidia UnRaid has the update available.

 

Thank you for all of the assistance.

Share this post


Link to post

I just updated to 6.8.0 and now my plex wont start. Worked fine beforew my update. Every time I try to start I get a message "Execution Error, Server Error".

 

I rolled back to 6.7.2 and it started working again. Is this a known issue? Can I do something to fix it? Will it be fixed in an update? Do you want a system log to help understand my issue?

 

Edited by Mike Rando
update

Share this post


Link to post
11 minutes ago, Mike Rando said:

I just updated to 6.8.0 and now my plex wont start. Worked fine beforew my update. Every time I try to start I get a message "Execution Error, Server Error".

 

What's my first step to fixing it?

 

If you grab your Docker Run Command then the actual error will show up there.

Share this post


Link to post

Alright, I'm re-updating to 6.8.0 to get the exact error. Looks like the error is:

 

Quote

Dec 12 19:33:47 Tower rc.docker: plex: Error response from daemon: error gathering device information while adding custom device "/dev/dvb": no such file or directory
Dec 12 19:33:47 Tower rc.docker: Error: failed to start containers: plex

 

Seeing "/dev/dvb" reminds me I had to use a plugin UnraidDVB to get my antenna to work. That might be my issue.

Edited by Mike Rando
update

Share this post


Link to post
12 hours ago, Mike Rando said:

Alright, I'm re-updating to 6.8.0 to get the exact error. Looks like the error is:

 

 

Seeing "/dev/dvb" reminds me I had to use a plugin UnraidDVB to get my antenna to work. That might be my issue.

That is your issue.  /dev/dvb/ is your tv tuner.

Share this post


Link to post
6 minutes ago, BigRed8150 said:

Which build will add the dvb/dev folder for the TV tuner in the Plex container?

Depends on your TV tuner.  Probably LibreELEC if it's a supported tuner in there and in Plex.

Share this post


Link to post

Its WinTV-HVR-22XX PCIe card, I had it working before i upgraded to 6.8. I have tried digital devices 6.8,libre elec 6.8 and tbs open source and none of them gave me a dev/dvb folder option , and now each of those builds do not have that folder. 

Edited by BigRed8150

Share this post


Link to post
Just now, BigRed8150 said:

Its WinTV-HVR-22XX PCIe card

You're going to have to try it and see and do some reading about DVB in Plex.  They only support a limited number of tuners, and Linux itself doesn't support every tv tuner, so you need to make sure there are Linux drivers

Share this post


Link to post

Wanting to move my plex docker from my app data ssd to a new nvme drive which is on my unassigned devices. Is it possible without losing any data and watch history 

Share this post


Link to post
13 minutes ago, BigRed8150 said:

reverted back to libre eclec 6.7.2 and it is back to working

Post over in the DVB thread then, it's not a Plex issue.  it's a DVB issue. 

 

Can you try one of the RC builds as well, perhaps RC8?

Share this post


Link to post
i upgraded to 6.8 rc9 libreelec and it pulls down the dvb folder, all is good with this one
So you 100% sure that RC9 works and v6.8.0 doesn't, that's weird as I used the same config.

Sent from my Mi A1 using Tapatalk

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.